BZEXE(1)

NUME
bzexe - comprimă fișierele executabile direct, pe loc „in situ”

REZUMAT
bzexe [ nume ... ]

DESCRIERE
Instrumentul bzexe vă permite să comprimați executabilele pe loc și să le decomprimați și să le executați automat atunci când le executați (cu o reducere a performanței). De exemplu, dacă executați «bzexe /bin/cat», acesta va crea următoarele două fișiere:
    -r-xr-xr-x  1 root  bin   9644 Feb 11 11:16 /bin/cat
    -r-xr-xr-x  1 bin   bin  24576 Nov 23 13:21 /bin/cat~
„/bin/cat~” este fișierul original, iar „/bin/cat” este fișierul executabil auto-descomprimabil. Puteți elimina „/bin/cat~” după ce vă asigurați că „/bin/cat” funcționează corect.

Acest instrument este foarte util pe sistemele cu discuri foarte mici.

OPȚIUNI

-d  Decomprimă executabilele date în loc să le comprime.

CONSULTAȚI ȘI
bzip2(1), znew(1), zmore(1), zcmp(1), zforce(1)

AVERTISMENTE
Executabilul comprimat este un script shell. Acest lucru poate crea unele breșe de securitate. În special, executabilul comprimat se bazează pe variabila de mediu „PATH” pentru a găsi gzip și alte câteva utilități (tail, chmod, ln, sleep)..

ERORI
bzexe încearcă să păstreze atributele originale ale fișierului pe executabilul comprimat, dar este posibil ca în unele cazuri să trebuiască să le corectați manual, folosind chmod sau chown..

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.